package	jp.co.sds_corp.util.daemon.util;

import jp.co.sds_corp.util.common.CmnLog;
import jp.co.sds_corp.util.config.IConfiguration;
import jp.co.sds_corp.util.daemon.IInitializer;

/**
* Log4j の初期化を行なうサービスです。
* XMLは以下の形式です。
<PRE>
&lt;Initialize name="Log4jConifgurator"
	class="jp.co.sds_corp.util.daemon.util.Log4jConfigurator"&gt;
	&lt;config&gt;properties/util/CmnLog.properties&lt;/config&gt;
&lt;/Initialize&gt;
</PRE>
*/
public class Log4jConfigurator implements IInitializer
{
	private String prop;

	/**
	* 設定情報から、Log4jの初期化情報を取得します。
	*/
	public void init( IConfiguration config )
		throws Exception
	{
		prop = config.get( "config" );
	}

	/**
	* サービスを開始します。
	*/
	public void start() {
		CmnLog.configure( prop );
	}

	/**
	* サービスを終了します。
	*/
	public void stop() {
	}

}

